VME Intensity Monitor - Support #12426

Complete Adding Averaging Devices to Filter Chain
05/01/2016 01:15 PM - Roger Tokarek

Status: Closed Start date: 05/01/2016
Priority: Normal Due date:

Assignee: Roger Tokarek % Done: 100%
Category: Fliter Estimated time: 8.00 hours
Target version: Spent time: 8.00 hours
Description

Add intensity averaging and current averaging to filter chain.

History

#1 - 05/02/2016 09:21 AM - Roger Tokarek

Waiting on available engineering and pxint re-boot time for testing and confirmation. Also confirm misc field value, 0x0 or 0x1.

Prior to testing need to modify P:MO1EPA SSDN:

From: P:MO01EPA 000C/0020/0000/0103 000C/0020/0000/0003 Ring Pickup Current Avg
To: P:M01EPA 0095/0020/0001/0100 000C/0020/0000/0003 Ring Pickup Current Avg

#2 - 05/06/2016 10:49 AM - Roger Tokarek
- Status changed from New to Closed

- % Done changed from 90 to 100

Resolved. See Git Log
commit a7711c3d2c15849bfbleec4652ad0d9£574082dc
Author: Roger Tokarek <tokarek@fnal.gov>

Date: Fri May 6 10:33:00 2016 -0500

Fixed problem VMEInt.filterChainRead() reading wrong functions in switch statement.

— Case Intensity Average was reading current, case Current Average was reading intensity.

Fixed in both "overloaded" filterChainread() functions.
Tests good.
